Get Team Projects
https://app.fossa.com/api/teams/{id}/projectsGet a paginated list of projects for a team
Path parameters
idintegerrequiredID of the team
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter projects by title
sortenumSort order for the projects by title
ascdescResponses
200OKresultsobject[]requiredArray of team projects
titlestringrequiredTitle of the project
locatorstringrequiredLocator of the project
pageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of team projects
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/teams/1/projectscurl --request GET \ --url 'https://app.fossa.com/api/teams/1/projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter projects by title
sortenumSort order for the projects by title